package com.liquidnet.service.goblin.dto.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoblinApplePayInnerResultVo implements Serializable, Cloneable {

    private String code;
    private Integer status;
    private String orderCode;
    private String orderId;
    private String payType;
    private String showUrl;
    private String returnUrl;
    private BigDecimal price;
    private String productId;
    private Object payData;

    private static final GoblinApplePayInnerResultVo obj = new GoblinApplePayInnerResultVo();

    public static GoblinApplePayInnerResultVo getNew() {
        try {
            return (GoblinApplePayInnerResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinApplePayInnerResultVo();
        }
    }
}
